curl --request GET \
--url https://api.mnemom.ai/v1/transactions/{id} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"agent_id": "<string>",
"status": "pending",
"actions": [
{
"tool": "<string>",
"status": "<string>",
"result": "<unknown>"
}
],
"evaluation": {
"verdict": "pass",
"violations": [
{
"type": "forbidden",
"tool": "<string>",
"capability": "<string>",
"rule": "<string>",
"reason": "<string>",
"severity": "low"
}
],
"warnings": [
{
"tool": "<string>",
"message": "<string>"
}
],
"card_gaps": [
{
"capability": "<string>",
"missing_card_field": "<string>",
"suggestion": "<string>"
}
],
"coverage": 0.5
},
"created_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
}Retrieve the details of a guarded transaction including its current status, policy evaluation result, and action outcomes.
curl --request GET \
--url https://api.mnemom.ai/v1/transactions/{id} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"agent_id": "<string>",
"status": "pending",
"actions": [
{
"tool": "<string>",
"status": "<string>",
"result": "<unknown>"
}
],
"evaluation": {
"verdict": "pass",
"violations": [
{
"type": "forbidden",
"tool": "<string>",
"capability": "<string>",
"rule": "<string>",
"reason": "<string>",
"severity": "low"
}
],
"warnings": [
{
"tool": "<string>",
"message": "<string>"
}
],
"card_gaps": [
{
"capability": "<string>",
"missing_card_field": "<string>",
"suggestion": "<string>"
}
],
"coverage": 0.5
},
"created_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
}Supabase JWT token in Authorization: Bearer header
Transaction identifier
Transaction details
pending, approved, blocked, escalated, completed, failed Show child attributes
Result of evaluating a CLPI policy against a set of tools or traces.
Show child attributes